summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Faulhammer <fauli@gentoo.org>2010-11-08 00:47:30 +0000
committerChristian Faulhammer <fauli@gentoo.org>2010-11-08 00:47:30 +0000
commit86cef69afe233e3a10a0c1a7de5dca7345b44999 (patch)
tree2d693515beadb809621aed071e680a763740c911 /dev-lang/erlang/files
parentNew Package: sci-misc/flashdot, migrated from sci-overlay (bug #300384) (diff)
downloadgentoo-2-86cef69afe233e3a10a0c1a7de5dca7345b44999.tar.gz
gentoo-2-86cef69afe233e3a10a0c1a7de5dca7345b44999.tar.bz2
gentoo-2-86cef69afe233e3a10a0c1a7de5dca7345b44999.zip
version bump to fix 325073, some hints by Boris Faure <billiob AT gmail DOT com>; this also fixes 263129 for LDFLAGS (again, reported upstream...again) and bug 334979 which provides an init script for epmd. This release seems to incorporate an upstream fix for bug 338664
(Portage version: 2.1.8.3/cvs/Linux i686)
Diffstat (limited to 'dev-lang/erlang/files')
-rw-r--r--dev-lang/erlang/files/epmd.init20
1 files changed, 20 insertions, 0 deletions
diff --git a/dev-lang/erlang/files/epmd.init b/dev-lang/erlang/files/epmd.init
new file mode 100644
index 000000000000..0b2248a138c1
--- /dev/null
+++ b/dev-lang/erlang/files/epmd.init
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/erlang/files/epmd.init,v 1.1 2010/11/08 00:47:30 fauli Exp $
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting Erlang Port Mapper Daemon"
+ start-stop-daemon --start --quiet --user nobody --group nobody --exec /usr/bin/epmd -- -daemon
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Erlang Port Mapper Daemon"
+ /usr/bin/epmd -kill >/dev/null
+ eend $?
+}